import { create } from "zustand";

type UserType = {
    token: string | null
}

const useUserStore = create<UserType>((set) => ({
    token: '',
    setToken: (token: string | null) => {
        set({ token: token });
    },
}));

export default useUserStore;